commit 42e99e057bd7cea8be374e1a47f0dfbf77974f88
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jun 3 02:23:56 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5646e6e7423..42c54799b73 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250602
+20250603
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 56acd079690..233f9ed881a 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,9 @@
+2025-06-02  Jason Merrill  <jason@redhat.com>
+
+	PR c++/120123
+	* lambda.cc (nonlambda_method_basetype): Look through lambdas
+	even when current_class_ref is null.
+
 2025-05-27  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 7a0e53823a2..d5ee8b038d9 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2025-06-02  Jason Merrill  <jason@redhat.com>
+
+	PR c++/120123
+	* g++.dg/cpp2a/concepts-lambda24.C: New test.
+
 2025-05-30  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

